# Generated from yaml_editor-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yaml_editor

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Update YAML documents preserving layout and comments
License: Apache-2.0
URL: https://github.com/MSMFG/rubygem_yaml_editor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Allows update of YAML directly indexing fields within the document without
deserialisation to objects so  that order and comments may be preserved.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%doc %{gem_instdir}/readme.md
%{gem_instdir}/test
%{gem_instdir}/yaml_editor.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.2-1
- Initial package
